Bug 193683 - ImageCreateFromJpeg returns 'not a valid jpeg file'
ImageCreateFromJpeg returns 'not a valid jpeg file'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://bugs.php.net/bug.php?id=29878
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 12:46 EDT by Jonathan Hutchins
Modified: 2008-03-10 00:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 29878 None None None Never

  None (edit)
Description Jonathan Hutchins 2006-05-31 12:46:42 EDT
This bug is PHP Bug #29878:

When calling ImageCreateFromJPEG() on a valid jpeg file it fails and i
get errors such as the following in my php error log:

<code>
[28-Aug-2004 05:21:29] PHP Warning:  imagecreatefromjpeg() [<a
href='function.imagecreatefromjpeg'>function.imagecreatefromjpeg</a>]:
'/usr/local/apache2/htdocs/pictures/Before Dad Went to
Iraq/IMGP0008.JPG' is not a valid JPEG file in
/home/www/pictures/index.php on line 43
</code>

Multiple users reported this bug, and reported that no errors were detected in 
the JPEG files.  The bug was closed 5 February as fixed in CVS and the fix 
incorporated in 5.1.3+.  

While FC5 contains the newer, fixed PHP, an FC4 server is experiencing these 
errors and needs the fix.
Comment 1 Christian Iseli 2007-01-22 06:05:06 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jonathan Hutchins 2007-01-22 09:13:26 EST
This still applies to the packages available for FC4, which is what the target 
server runs.  Installing a different OS on this production server is not an 
option.
Comment 3 petrosyan 2008-03-10 00:25:20 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.